GuideLab API

Create Receiving Source

Create a new receiving source within a category (e.g., a specific scanner brand under the Digital category). Validates the category belongs to the lab.

POST
/receiving-sources

Create a new receiving source within a category (e.g., a specific scanner brand under the Digital category). Validates the category belongs to the lab.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/receiving-sources" \  -H "Content-Type: application/json" \  -d '{    "categoryId": "string",    "name": "string"  }'
{  "source": {    "id": "string",    "labId": "string",    "categoryId": "string",    "name": "string",    "code": "string",    "sortOrder": 0,    "isActive": true,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty